Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 455934 - Not all Monitoring logs (especially error logs) logs date/time
Summary: Not all Monitoring logs (especially error logs) logs date/time
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Monitoring
Version: 502
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Miroslav Suchý
QA Contact: wes hayutin
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-18 21:11 UTC by Xixi
Modified: 2009-09-10 18:48 UTC (History)
2 users (show)

Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-10 18:48:41 UTC


Attachments (Terms of Use)

Description Xixi 2008-07-18 21:11:27 UTC
Description of problem:

While troubleshooting customer issues it's found that not all Monitoring logs
log the date/time, which makes troubleshooting more difficult (or "exciting", if
you prefer), than it needs to be.

Examples from /var/log/nocpulse/ - 

Notifier-error.log:
...
Net::SMTP=GLOB(0xa2fb1a8)>>> MAIL FROM:<name@server>
Net::SMTP: Unexpected EOF on command channel at
/usr/lib/perl5/site_perl/5.8.5/NOCpulse/Notif/Mailer.pm line 38
Net::SMTP=GLOB(0xa1f57d8)>>> EHLO localhost.localdomain
...

NotifEscalator-error.log:
...
20749 Unable to acquire lock on /opt/notification/tmp/01_1212826628_010211_001
/opt/notification/scripts/notifier-20780 at
/usr/lib/perl5/site_perl/5.8.5/NOCpulse/Notif/AlertFile.pm line 106.
...


Version-Release number of selected component (if applicable):
Satellite 4.0, 5.0, 5.1 (didn't test earlier versions)

How reproducible:
Always.

Steps to Reproduce:
1. Enable Monitoring/Monitoring Scout on satellite;
2. Create some probes;
3. Make probes meet criteria to send notification, but give it a hard time, like
stopping sendmail service in the middle of it, so it'll spit out some errors to
above mentioned error logs.
  
Actual results:
Date/time is not logged in all monitoring logs.

Expected results:
Date/time logged in all monitoring logs.

Additional info:

Comment 1 Brandon Perkins 2008-10-08 16:24:19 UTC
Low priority monitoring bug.  We will do this if its easy and won't destabalize anything.  Read: this could be punted.

Comment 2 Miroslav Suchý 2009-02-03 14:17:07 UTC
Commited as 694427cf60ae4c401e31a5a94c1b5b978624f987 and 85d8e45e7acd9a45a15034f46ab6fe70d1605167

Comment 3 Miroslav Suchý 2009-02-09 09:50:46 UTC
Mass moving to ON_QA

Comment 4 wes hayutin 2009-02-18 13:55:23 UTC
[root@grandprix nocpulse]# cat NotifLauncher-error.log 
2009-02-17 14:36:43  no file /etc/notification/generated/customers.ini No such file or directory at /usr/lib/perl5/vendor_perl/5.8.8/NOCpulse/Notif/NotificationIni.pm line 85.
2009-02-17 14:36:45  no file /etc/notification/generated/customers.ini No such file or directory at /usr/lib/perl5/vendor_perl/5.8.8/NOCpulse/Notif/NotificationIni.pm line 85.
2009-02-17 14:36:47  no file /etc/notification/generated/customers.ini No such file or directory at /usr/lib/perl5/vendor_perl/5.8.8/NOCpulse/Notif/NotificationIni.pm line 85.


Tested most of the logs.. a few more were empty.. 
marking as verified

Comment 5 Miroslav Suchý 2009-02-24 08:53:12 UTC
For release notes:
Monitor logs now include date and time for every record in log files.

Comment 6 John Ha 2009-02-26 08:02:47 UTC
I've added the following to the release notes. Thanks for the addition!

 Monitoring log files now include date and timestamps for every record.

Comment 7 Milan Zázrivec 2009-09-02 14:15:46 UTC
Verified in stage -> RELEASE_PENDING

Comment 8 Brandon Perkins 2009-09-10 18:48:41 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1434.html


Note You need to log in before you can comment on or make changes to this bug.